## gaphor 0.17.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Gaphor.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Gaphor.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Gaphor"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Gaphor"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## gaphor 0.15.0

=== debian/changelog ===
gaphor (0.15.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adding missing dependency against python-simplegeneric (closes: #596882).

 -- Giovanni Mascellani <gio@debian.org>  Fri, 24 Sep 2010 00:44:41 +0200

gaphor (0.15.0-1) unstable; urgency=low

  * New upstream release (Closes: #550093)
  * Switch to dpkg-source 3.0 (quilt) format
  * Update debian/control
    - Depends on python-gaphas >= 0.6.0
    - Set XS-Python-Version: >= 2.6
    - Set Standards-Version to 3.9.1
  * Prompt for confirmation when the user wants to quit (Closes: #353153)
  * No more use Python string exceptions (Closes: #585196)
  * New patch no-setuptools-git.patch so that setuptools doesn't try to
    download the setuptools-git Python package which is not packaged in
    Debian, and useless to build the package.

 -- Cédric Delfosse <cedric@debian.org>  Fri, 06 Aug 2010 20:25:25 +0200

gaphor (0.13.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - pass --install-layout=def to setup.py for Python 2.6 transition
      (Closes: #547818)
    - more robust comment-out strategy for zope.* requirements in eggs
    - fix name of clean-patched-stamp (ensure it gets removed upon clean)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 10 Oct 2009 22:57:23 +0200

gaphor (0.13.1-1) unstable; urgency=low

  * New upstream release
  * Depends on python-gobject (Closes: #525627)
  * Depends on python-gconf instead of python-gnome2 (Closes: #541583)
  * Update authors, copyright and license fields in debian/copyright
  * Standard-Version to 3.8.3
  * debian/rules: no more use dh_desktop
  * Depends on python-zope.component instead of zope3 (Closes: #536417)

 -- Cédric Delfosse <cedric@debian.org>  Sat, 12 Sep 2009 19:45:07 +0200

gaphor (0.13.0-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Sat, 26 Jul 2008 15:05:27 +0200

gaphor (0.12.5-4) unstable; urgency=low

  * The package is now only available for Python 2.4, as it depends on zope3
    which is only provided for Python 2.4 (Closes: #445277, #490915)

 -- Cédric Delfosse <cedric@debian.org>  Mon, 21 Jul 2008 21:47:15 +0200

gaphor (0.12.5-3) unstable; urgency=low

  * Depends on python-pkg-resources instead of python-setuptools
    (Closes: #468732)

 -- Cédric Delfosse <cedric@debian.org>  Fri, 21 Mar 2008 23:14:40 +0100

gaphor (0.12.5-2) unstable; urgency=low

  [ Piotr O�arowski <piotr@debian.org> ]
  * Moved python-setuptools and python-nose to Build-Depends (for clean target)
  * Add disable_ez_install patch, dpatch added to Build-Depends
  * Add remove_shebangs patch (previously in diff.gz)
  * Removed Encoding line from gaphor.desktop file, added Version=1.0
  * Versions of required build dependencies bumped:
    + python-support to 0.6.4 - to handle Eggs well
    + python-nose to 0.9.2 - needed to run tests
  * Add python-cairo, python-gnome2 and python-gtk2 to Depends
  * Thanks Piotr for all these fixes ! (Closes: #461157)
  
  [ Cédric Delfosse ]
  * Standard-Version to 3.7.3

 -- Cédric Delfosse <cedric@debian.org>  Sun, 10 Feb 2008 21:41:57 +0100

gaphor (0.12.5-1) unstable; urgency=low

  * New upstream release (Closes: #461361)

 -- Cédric Delfosse <cedric@debian.org>  Fri, 18 Jan 2008 22:47:06 +0100

gaphor (0.12.4-3) unstable; urgency=low

  * Depends on python-setuptools (Closes: #461213)
  * Patch from Emmet Hikory:
    * Build-Depends-Indep on xsltproc, docbook-xsl (Closes: #461157)
    * Build-Depends-Indep on python-setuptools and python-nose, so that auto-
      builders won't try to access network.
  * Fix lintian menu-item-uses-apps-section warning

 -- Cédric Delfosse <cedric@debian.org>  Thu, 17 Jan 2008 21:47:37 +0100

gaphor (0.12.4-2) unstable; urgency=low

  * This time, really upload to unstable ...

 -- Cédric Delfosse <cedric@debian.org>  Tue, 15 Jan 2008 22:06:32 +0100

gaphor (0.12.4-1) experimental; urgency=low

  * New upstream release, upload to unstable
      Closes: #444864 -- Version in debian is too old
      Closes: #415970 -- A new upstream version is available
  * No more use diacanvas2, but depends on gaphas
      Closes: #458104 -- gaphor segfaults and does not start
      Closes: #423515 -- gaphor segfaults after upgrading python-diacanvas2
  
 -- Cédric Delfosse <cedric@debian.org>  Tue, 15 Jan 2008 21:32:54 +0100

gaphor (0.10.4-1) experimental; urgency=low

  * Depends on python-gaphas and zope3

 -- Cédric Delfosse <cedric@debian.org>  Fri, 04 May 2007 21:32:16 +0200

gaphor (0.8.1-5.1) unstable; urgency=medium

  * NMU with maintainer's approval.
  * Fixing a RC bug: urgency medium.
  * Split gaphor in gaphor and gaphor-lib binary packages. The package
    gaphor-lib conflicts with zope3 and the package gaphor depends on
    "gaphor-lib | zope3". In this way, gaphor is still usable if zope3 is
    already installed in the system. (Closes: #369512)

 -- Fabio Tranchitella <kobold@debian.org>  Mon,  8 Jan 2007 22:38:58 +0100

gaphor (0.8.1-5) unstable; urgency=low

  * gaphor/misc/resource.py: don't exit if resource file can't be read
    (Closes: Bug#394056)

 -- Cédric Delfosse <cedric@debian.org>  Fri, 17 Nov 2006 23:33:36 +0100

gaphor (0.8.1-4) unstable; urgency=low

  * Depends on python-gnome2 (Closes: Bug#381388)

 -- Cédric Delfosse <cedric@debian.org>  Wed,  9 Aug 2006 22:06:45 +0200

gaphor (0.8.1-3) unstable; urgency=low

  * Set debhelper compat to 5
  * Use python-support
  * Set pycompat to 2
  * Conflicts with the zope3 and python-zopeinterface package. But will try to
    find a better solution.
  * Update Depends (Closes: Bug#379930)

 -- Cédric Delfosse <cedric@debian.org>  Sun, 23 Jul 2006 20:38:41 +0200

gaphor (0.8.1-2) unstable; urgency=low

  * Don't include zope interface stuff in the package, and add to Depends
    python2.4-zopeinterface (Closes: Bug#365465)
  * Standard-Version to 3.7.2

 -- Cédric Delfosse <cedric@debian.org>  Sat, 13 May 2006 10:08:20 +0200

gaphor (0.8.1-1) unstable; urgency=low



=== debian/control ===
Source: gaphor
Section: devel
Priority: optional
Maintainer: Cédric Delfosse <cedric@debian.org>
Build-Depends: python, python-support (>= 0.6.4), debhelper (>= 5), python-setuptools, python-nose (>= 0.9.2)
Build-Depends-Indep: xsltproc, docbook-xsl
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1

Package: gaphor
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gaphas (>= 0.6.0), python-zope.component, python-pkg-resources, python-cairo, python-gnome2, python-gtk2, python-gobject, python-simplegeneric
Description: UML modeling tool
 This program is an easy to use UML (Unified Modeling Language) modeling
 environment. It allows you to create UML diagrams for documentation and to
 assist you with design decisions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet

gaphor.1: debian/gaphor.xml
	$(XP) $(DB2MAN) $<

build: build-stamp

build-stamp: gaphor.1
	dh_testdir

	# Add here commands to compile the package.
	python setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	python setup.py clean
	-find gaphor utils -name \*.pyc -exec rm -f {} \;
	-rm -f gaphor.1
	-rm -fr build setuptools_git-0.3.4-py2.6.egg
	-rm -f ez_setup.pyc
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	mkdir -p debian/gaphor/usr/share/applications
	cp debian/gaphor.desktop debian/gaphor/usr/share/applications
	mkdir -p debian/gaphor/usr/share/pixmaps
	cp debian/gaphor.xpm debian/gaphor/usr/share/pixmaps

	python setup.py install \
		--root=$(CURDIR)/debian/gaphor --install-layout=deb

	#Comment zope requirement because zope3 package does not provide a
	#egg-info directory
	find debian/ -wholename '*/gaphor-*.egg-info/requires.txt' \
		| xargs sed -i 's/^zope/# zope/'

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installmenu
	dh_installman gaphor.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gaphor 0.17.0

=== debian/changelog ===
gaphor (0.17.0-1) unstable; urgency=low

  * New maintainer.
  * New upstream release (Closes: #647539):
    - fix-actions-flow-lost.patch no longer needed
    - file save operations no longer stop working after starting process is
      terminated (Closes: #552122).
  * Add Build-Depends on all Depends.
  * Transition to dh_python2.
  * Add Vcs-* and Homepage fields to control.

 -- Dmitry Borodaenko <angdraug@debian.org>  Sun, 10 Jun 2012 13:17:26 +0300

gaphor (0.15.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Urgency medium due to RC bug fix.
  * debian/patches/fix-actions-flow-lost.patch: Cherry-picked from upstream
    to fix control flow loss in Actions diagram (Closes: #605084).

 -- Theppitak Karoonboonyanan <thep@debian.org>  Tue, 14 Dec 2010 16:20:28 +0700

=== debian/control ===
Source: gaphor
Section: devel
Priority: optional
Maintainer: Dmitry Borodaenko <angdraug@debian.org>
Build-Depends: python (>= 0.4.90~), debhelper (>= 7.0.50~), python-setuptools, python-nose (>= 0.9.2), python-gaphas (>= 0.6.0), python-zope.component, python-pkg-resources, python-cairo, python-gnome2, python-gtk2, python-gobject, python-simplegeneric, python-etk.docking
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/users/angdraug/gaphor.git
Vcs-Browser: http://git.debian.org/?p=users/angdraug/gaphor.git;a=summary
Homepage: http://github.com/amolenaar/gaphor

Package: gaphor
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gaphas (>= 0.6.0), python-zope.component, python-pkg-resources, python-cairo, python-gnome2, python-gtk2, python-gobject, python-simplegeneric
Description: UML modeling tool
 This program is an easy to use UML (Unified Modeling Language) modeling
 environment. It allows you to create UML diagrams for documentation and to
 assist you with design decisions.

## gaphor 0.17.2

=== debian/changelog ===
gaphor (0.17.2-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.4 (no changes).

 -- Dmitry Borodaenko <angdraug@debian.org>  Sat, 10 Aug 2013 12:33:53 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Borodaenko <angdraug@debian.org>
 Build-Depends: python (>= 0.4.90~), debhelper (>= 7.0.50~), python-setuptools, python-nose (>= 0.9.2), python-gaphas (>= 0.6.0), python-zope.component, python-pkg-resources, python-cairo, python-gnome2, python-gtk2, python-gobject, python-simplegeneric, python-etk.docking
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/users/angdraug/gaphor.git
 Vcs-Browser: http://git.debian.org/?p=users/angdraug/gaphor.git;a=summary
 Homepage: http://github.com/amolenaar/gaphor

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	rm -fr setuptools_git-*-py*.egg

override_dh_install:
	dh_install
	#Comment zope requirement because zope3 package does not provide a
	#egg-info directory
	#find debian/ -wholename '*/gaphor-*.egg-info/requires.txt' \
	#	| xargs sed -i 's/^zope/# zope/'
